# Interface DirectiveTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `ExportsTree, OpensTree, ProvidesTree, RequiresTree, UsesTree`

public interface DirectiveTree extends Tree
A super-type for all the directives in a ModuleTree.

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.